<?php

if (!defined('ABSPATH')) {
    exit;
}

$siteurl = 'tayon.ai';

// EXTERNALS
define('TAYON_CHAT_URL', 'https://wid.' . $siteurl);
define('TAYON_API_URL', 'https://api.' . $siteurl . '/api');

// MENU
define('TAYON_MENU_TITLE', 'Tayon AI');
define('TAYON_MENU_SLUG', 'tayon-ai-mainconfig');

// INTERNALS
define('TAYON_ROOT_FILE_PATH', 'tayon-ai-chat-widget/tayonai.php');
define('TAYON_ADMIN_PAGE_URL', admin_url('admin.php?page=' . TAYON_MENU_SLUG));
define('TAYON_ADMIN_URL', plugin_dir_url(__FILE__) . '../admin/');
define('TAYON_ADMIN_DIR', dirname(__FILE__) . '/../admin/');
define('TAYON_PUBLIC_DIR', dirname(__FILE__) . '/../public/');

// PAGE
define('TAYON_PAGE_TITLE', 'Tayon AI Settings');
define('TAYON_PAGE_HOOK', 'toplevel_page_chatbotcom-configuration');
define('TAYON_ASSETS_PREFIX', 'chatbotcom-configuration-');

// DATABASE PROPERTY
define('TAYON_AI_ACC_DATA', 'tayonai_acc_Data');
define('TAYON_AI_DATA_TOKEN', 'tayonai_acc_Token');
define('TAYON_AI_CONFIG_DATA', 'tayonai_acc_Config');

// SUPPORT
define('TAYON_SUPPORT_MAIL', 'support@tayon.ai');
